> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telemetree.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Monthly Active Users Timeseries Based On Handle

> **Description:** Retrieves the monthly active users timeseries based on the specified handle.

**Parameters:**
- `handle`: The handle of the application (**ensure it does not include @**)
- `days`: The number of days to return

**Header**
- `x-api-key`: Your API Key (Dashboard->Settings)



## OpenAPI

````yaml https://ebn.telemetree.io/public-api/openapi.json get /monthly-active-users/timeseries/{handle}
openapi: 3.1.0
info:
  title: Telemetree API
  description: Telemetree Public API endpoints.
  termsOfService: https://docs.telemetree.io/essentials/terms-of-service
  contact:
    name: Chris
    url: https://t.me/telemetree_referral
    email: chris@telemetree.io
  version: 1.0.0
servers:
  - url: https://ebn.telemetree.io/public-api
security: []
paths:
  /monthly-active-users/timeseries/{handle}:
    get:
      tags:
        - Monthly Active Users API
      summary: Monthly Active Users Timeseries Based On Handle
      description: >-
        **Description:** Retrieves the monthly active users timeseries based on
        the specified handle.


        **Parameters:**

        - `handle`: The handle of the application (**ensure it does not include
        @**)

        - `days`: The number of days to return


        **Header**

        - `x-api-key`: Your API Key (Dashboard->Settings)
      operationId: >-
        monthly_active_users_timeseries_based_on_handle_monthly_active_users_timeseries__handle__get
      parameters:
        - name: handle
          in: path
          required: true
          schema:
            type: string
            description: Handle of the application
            title: Handle
          description: Handle of the application
          example: droppy_sui_bot
        - name: days
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 30
            title: Days
          example: 30
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppMauTimeseriesData'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - api_key: []
components:
  schemas:
    AppMauTimeseriesData:
      properties:
        name:
          type: string
          title: Name
          description: Name of the bot
          example: Hamster Kombat
        handle:
          type: string
          title: Handle
          description: Handle of the bot
          example: hamster_kombat_bot
        link:
          type: string
          title: Link
          description: Link to the bot
          example: https://t.me/hamster_kombat_bot
        timeseries_data:
          additionalProperties:
            type: integer
          type: object
          title: Timeseries Data
          description: Timeseries data
          example:
            '2024-11-13': 106442961
            '2024-11-14': 111533930
            '2024-11-15': 111790917
        status_code:
          type: integer
          title: Status Code
          description: Status code
          example: 200
        message:
          type: string
          title: Message
          description: Message
          example: Success
      type: object
      required:
        - name
        - handle
        - link
        - timeseries_data
        - status_code
        - message
      title: AppMauTimeseriesData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    api_key:
      type: apiKey
      description: Your API Key (Dashboard->Settings)
      in: header
      name: x-api-key

````